StorageAssets
Upload file as Base64
POST
/v1/storage/assets/base64Upload file as Base64. A successful request returns HTTP 201 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/storage/assets/base64" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "dataBase64": "example", "filename": "Example resource", "contentType": "example", "directory": "example", "altText": "example", "metadata": { "key": "example" } }'{ "id": "7204558912004325301", "fileName": "Example resource", "publicUrl": "https://example.com/resource", "contentType": "example", "size": 1, "width": 1, "height": 1, "altText": "example", "directory": "example", "metadata": { "key": "example" }, "createdOn": "2026-08-01T15:30:00Z"}